:root {
    --ars_navy: #2a2e75;
    --ars_action_title: #39526c;
    --ars_cyan: #22c0fc;
    --ars_purple_dark: #25163f;
    --ars_purple_darker: #1f1c22;
    --ars_purple_dark_header: #342f3a;
    --ars_purple_light: #2e2631;
    --ars_purple_light2: #7c6378;
    --ars_red: #e22522;
    --ars_red_dark: #6e1513;
    --ars_yellow: #e8dbae;
    --ars_highlight: #e3dadc;
    --ars_goldenrod: #daa520;
    --ars_grey: grey;
    --ars_dice_background: rgb(196, 196, 196);
    --ars_success_header_green: #7e9f86;
    --ars_success_green: #e1e9de;
    --ars_failure_red: #d3b4b4;
    --ars_failure_header_red: #864c4c;
}

.fa-plus,
.fa-minus {
    transition: transform 0.3s ease;
}

.fa-plus:hover,
.fa-minus:hover {
    transform: scale(1.5); /* Slightly increases the size */
}

/* This affects the width of the entire scrollbar */
::-webkit-scrollbar {
    width: 12px;
}

/* This affects the width of the draggable scrolling element (the "thumb") */
::-webkit-scrollbar-thumb {
    background: darkgrey;
    border-radius: 6px;
}

// * {
//   margin: 0;
//   padding: 0;
//   box-sizing: border-box;
//   color: --default-color;
//   color: --default-color;
// }

.hidden {
    display: none;
}

// ol, ul, li {
//   list-style-type: none;
//   margin: 0;
//   padding: 0px;
// }
// ol, ul {
//   padding-bottom: 2px;
// }

.grouping-border {
    border: 2px groove;
    border-radius: 10px;
    padding: 1px;
    margin: 6px;
}

fieldset.border-top {
    border: none;
    border-top: 1px solid #000;
}

fieldset.no-border,
fieldset.border-none {
    border: none;
}

fieldset.border-bottom {
    border: none;
    border-bottom: 1px solid #000;
}

fieldset {
    border: 1px solid var(--color-text-dark-primary);
    padding-top: 3px;
    margin: 1px;
    margin-top: 2px;
}

legend {
    font-weight: 600;
    text-align: center;
    align-items: center;
    align-content: center;
    align-self: center;
    justify-content: center;
    justify-items: center;
    justify-self: center;
}

.container-border {
    border: 2px groove var(--color-border-light-highlight);
    border-radius: 8px;
    box-shadow: 6px 8px 8px rgba(0, 0, 0, 0.2);
    margin-bottom: 10px !important;
}

.general-header {
    text-align: left;
    font-weight: normal;
    background: var(--ars_purple_dark);
    padding: 3px 0px;
    font-size: var(--font-size-13);
    color: #fff;
    margin: 3px 0 3px 0;
    padding-left: 6px;
    border-radius: 5px;
}

.general-subheader {
    text-align: center;
    font-weight: bold;
    background: rgb(161 155 140 / 54%);
    padding: 3px;
    border-radius: 5px;
    color: var(--color-border-dark-4);
}

.general-footer {
    min-height: 3px;
    width: 100%;
}

// ARS switch container - a fancy checkbox
.ars-switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;

    // Hide the actual checkbox
    input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    // The slider
    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #676767;
        transition: background-color 0.4s;
        border-radius: 24px;

        &::before {
            position: absolute;
            content: '';
            height: 20px;
            width: 20px;
            left: 2px;
            bottom: 2px;
            background-color: white;
            border-radius: 50%;
            // transition: transform 0.4s; // Uncomment this if you want to animate the toggle
        }
    }

    // When checked, change background
    input:checked + .slider {
        background-color: #f1a90f;

        &::before {
            transform: translateX(26px); // Moves the knob when checked
        }
    }
}

.button-box {
    background-color: rgba(206, 162, 67, 0.514);
    border: 3px outset grey;
}
// this is the css for inline-roll clickables
// a.inline-roll {
//   margin: 5px;
// }

.playerlist-trade-button {
    line-height: inherit;
    font-size: 0.85rem;
    width: calc(100% - 0.5rem);
    margin: 0.25rem;
    background: rgba(60, 60, 60, 0.6);
    border: 1px solid black;
    color: white;
}

// change the default css for form elements because foundrys default styling looks like absolute shit
.window-app:not(.filepicker) {
    select,
    input[type]:not([type='color']):not([type='range']),
    textarea {
        background: white;
        margin: 2px 2px 2px 0px !important;
        border-radius: 5px;
        color: var(--color-text-dark-primary);
    }
    input[disabled]:not([name='formula']) {
        background: #ccc !important;
        color: black;
        border: 1px solid var(--color-border-light-tertiary);
    }
    input[type='range'] {
        background-color: transparent;
    }
}

ol.subdirectory {
    margin-left: 10px;
}

#pause img {
    // todo: would be awesome to be able to use AD&D here?
    content: url('assets/system/pause.png');
    opacity: 1;
}

img {
    border-radius: 6px;
}

.CodeMirror {
    min-width: 600px;
}

.cm-toolbar {
    display: none;
    margin-bottom: 3px;
}

.cm-toolbar button {
    width: 100px;
    margin-right: 0px;
    line-height: 20px;
    border-radius: 6px;
}

.ability-score {
    input.glow-box {
        box-shadow: rgba(255, 178, 35, 0.4) 0px 0px 0px 2px, rgba(212, 178, 84, 0.65) 0px 4px 6px -1px,
            rgba(255, 153, 0, 0.08) 0px 1px 0px inset;
        border: 1px dashed black;
    }
}
.glow-box {
    box-shadow: 0 0 10px rgba(255, 196, 0, 0.356);
}

.window-app .window-content {
    background: url(ui/parchment.webp);
    background-repeat: no-repeat; /* Prevents the image from repeating */
    background-position: center; /* Centers the image */
    background-size: cover; /* Scales the image to cover the entire element */
    border-radius: 0 0 8px 8px;
}

// #region psionics

.psionic-tab-view {
    $border-color: #fffbff; // Darker border color
    $text-color: #252525; // White text color
    $highlight-color: #7e9f86; // Gold color for highlights

    // stats dash
    .psionic-dash {
        .psi {
            background-image: url('icons/general/psi.webp');
            background-size: 100%;
            border-radius: 16px;
            min-height: 62px;
            min-width: 62px;
            background-repeat: no-repeat;
            cursor: pointer;
        }

        .psi.button a {
            position: relative;
        }

        a.closed-mind-state {
            top: 16px;
            left: 16px;
            font-size: 2.6em;
            color: white;
        }

        a.reset-closed-mind {
            top: 50px;
            left: -10px;
        }
        .stat-container {
            align-items: center;
            border-right: 1px solid black;
        }
        input.psi-inputs {
            padding: 7px;
            margin: 5px !important;
        }
        .psp-value-base {
            justify-content: left !important;
        }

        .psi-misc-breakdowns .flexrow {
            text-align: left;
        }
    }

    .lbl-psi-segment-totals {
        margin-right: 15px;
        font-size: 11px;
        float: left;
        margin-left: 5px;
    }

    // validator/totals
    .power-totals.container-border {
        padding: 5px;
        .psi-invalid-total a {
            color: red;
        }
    }

    // list grid overrides
    .item-list {
        .item.flexrow > div {
            text-align: center;
        }
    }

    .general-header {
        cursor: pointer;
    }
    // .maintained-power-header {
    //     background-color: var(--ars_action_title);
    // }
    // .psionic-defenses-header {
    //     background-color: var(--ars_purple_dark_header);
    // }
    // .telepathic-contact-header {
    //     background-color: var(--ars_failure_header_red);
    // }

    .maintained-effect-list.container-border {
        margin-bottom: 0px !important;
    }
    .maintained-effect-list > .general-header {
        background-color: var(--ars_action_title) !important;
        text-align: center;
        font-weight: bold;
        border-radius: 5px;
    }

    .maintained-effect-list {
        ul {
            padding: 0;
            margin: 0;
        }
    }
}

// chat card overrides
.use-pwr-insuffecient {
    padding: 8px;
    border-radius: 6px;
    background-color: #ff6666;
    font-weight: bold;
}
.pwr-chat-output-header {
    text-align: center;
}
.pwr-details {
    margin-top: 10px;
    margin-bottom: 10px;
}

// power sheet css
.atk-def-label {
    flex: 0 !important;
    display: flex;
    align-items: center;
    font-weight: 600;
    margin-right: 5px;
}

// global visibility - hide various options when psionics enabled/disabled/1e/2e
.psi-ui,
option[value='power'],
option[value='psp'],
option[value='pspdefense'],
option[value='pspattack'],
.psi-details {
    display: none !important;
}
.psionics-enabled {
    option[value='power'],
    option[value='psp'],
    option[value='pspdefense'],
    option[value='pspattack'],
    .psi-ui {
        display: block !important;
    }
}

.psionics-enabled-v1 {
    .hide-1e {
        display: none !important;
    }
    // .psi-invalid-total a {
    //     color: rgb(25, 24, 19) !important;
    // }
}
.psionics-enabled:not(.psionics-enabled-v1) {
    .hide-2e {
        display: none !important;
    }
}

#progress-container {
    display: block;
    width: 100%;
    height: 12px;
    background-color: white;
    border-radius: 42px;
    padding: 1px;
    padding-right: 1px;
    box-shadow: 2px 3px 8px rgba(0, 0, 0, 0.2);
}

#progress-bar {
    height: 10px;
    width: 0;
    min-width: 5%;
    background-color: #4caf50;
    color: white;
    text-shadow: 1px 1px 2px rgb(0, 0, 0);
    border-radius: 45px;
    text-align: center;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    font-size: 0;
}

// #endregion

// #region experimental

.experimental {
    display: none !important;
    pointer-events: none;
}
.experimental.boxed {
    visibility: hidden;
}

.experimental-enabled {
    .experimental {
        display: block !important;
        pointer-events: all !important;
    }
    .party-controls-grid.experimental {
        display: grid !important;
    }
}

// #endregion

// #region view rules by variant or other misc

[data-user='player'] {
    .player-hide {
        display: none !important;
    }
}

// variant specific
[data-system-variant='0'],
[data-system-variant='1'] {
    .variant2-feature {
        display: none !important;
    }

    [data-field='press'] {
        display: none !important;
    }
}

[data-system-variant='2'] {
    .variant1-feature {
        display: none !important;
    }
}

.spencers-hidden-features {
    display: none;
}

// #endregion

// #region ars info helper - dynamic tooltip sys

.ars-info-helper {
    position: absolute;
    z-index: 9999;
    background: var(--ars_purple_darker);
    color: #fff;
    border: 1px solid #979797;
    border-radius: 9px;
    padding: 10px;
    font-size: 12px;
    min-width: 295px;
    min-height: 50px;
    max-width: 550px;
    max-height: 550px;
    overflow-y: scroll;
    overflow-x: hidden;
    box-sizing: border-box;
    word-wrap: break-word;
    white-space: normal;
    margin-left: 30px;

    &__table {
        width: 100%;
        table-layout: auto;
        border-top: none;
        margin: 0;
    }
    &__header {
        text-align: left;
        min-width: 155px;
        font-size: 14px;
        background-color: transparent;
    }
    &__label,
    &__value,
    &__change,
    &__duration,
    &__separator {
        padding: 5px;
    }
    &__label.image {
        display: block;
        float: right;
        img {
            max-width: 32px;
            max-height: 32px;
        }
    }

    &__label.image.main-image {
        img {
            max-width: 50px;
            max-height: 50px;
        }
    }

    > table > tbody > tr:not(.ars-info-helper__wrapper):not(.divider):not(.img-banner) {
        background-color: transparent !important;
        border-bottom: 1px solid #515151;
    }

    tr.ars-info-helper__wrapper,
    tr.img-banner {
        background-color: var(--ars_purple_dark_header) !important;
    }

    .inline-roll.roll,
    .content-link {
        background-color: #000;
        border: 1px solid white;
    }

    .divider {
        background-color: transparent;

        hr {
            margin: 4px 0;
            border: 1px solid #6f9ecd;
        }
    }

    .content-embed,
    table {
        max-width: 100%;
        word-break: break-word;
        border-bottom: none;
    }
}

// #endregion

// #region new

.ability-score-row-com.comeliness-disabled {
    display: none;
}

// #endregion
